Subject: bug#16990: 24.3.50; Return a useful value for motion functions

From: Drew Adams <[email-masked]>
Date: Tue, 11 Mar 2014 13:03:40 -0700 (PDT)

Enhancement request: Return a useful value for motion functions, when
possible.

The set of candidate functions for enhancement are motion functions.
Yes, each needs to be checked in detail, and handled appropriately.
One size does not fit all.  A return value choice should be based on
what is generally most useful in the context of using the function.

This is the promised followup from the discussion for bug #15117.  See
that thread for more information (relevant functions, possible return
values, etc.)

In GNU Emacs 24.3.50.1 (i686-pc-mingw32) of 2014-03-04 on ODIEONE Bzr
 revision: 116662 [email-masked]
 Windowing system distributor `Microsoft Corp.', version 6.1.7601
 Configured using: `configure --prefix=/c/Devel/emacs/binary
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -g3' 'CPPFLAGS=-DGC_MCHECK=1
 -Ic:/Devel/emacs/include' LDFLAGS=-Lc:/Devel/emacs/lib'